### OpenHPI configuration example file ###

#######
## OpenHPI will not be useful unless it is configured for your system.  Once
## you have modified this file, remove or comment the following line to allow
## the OpenHPI daemon to run.  This line causes the daemon to exit immediately.
#OPENHPI_UNCONFIGURED = "YES"

#######
## FIRST section: declaration of global parameters like the following.

OPENHPI_LOG_ON_SEV = "MINOR"
OPENHPI_ON_EP = "{SYSTEM_CHASSIS,1}"
OPENHPI_EVT_QUEUE_LIMIT = 10000
OPENHPI_DEL_SIZE_LIMIT = 10000
OPENHPI_DEL_SAVE = "NO"
OPENHPI_DAT_SIZE_LIMIT = 0
OPENHPI_DAT_USER_LIMIT = 0
OPENHPI_DAT_SAVE = "NO"
OPENHPI_PATH = "/usr/local/lib/openhpi:/usr/lib/openhpi"
OPENHPI_VARPATH = "/usr/local/var/lib/openhpi"

## The default values for each have been selected in the example above (except
## for OPENHPI_PATH and OPENHPI_CONF. See below).
## No need to specify any one of them because the defaults is used
## automatically. The library also looks for these as environment variables.
## Environment variables found that match a global parameter override the
## corresponding parameter set in this configuration file.
##
## OPENHPI_LOG_SEV sets the lowest severity level an event must meet to be
## logged in the domain event log. Possible values are (highest to lowest):
## "CRITICAL", "MAJOR", "MINOR", "INFORMATIONAL", "OK", and "DEBUG".
## OPENHPI_ON_EP sets the entity path on which the application is running. This
## entity path is returned when SaHpiResourceIdGet() is called.
## OPENHPI_EVT_QUEUE_LIMIT sets the maximum number of events that are allowed
## in the session's event queue. Default is 10000 events. Setting it to 0 means
## unlimited.
## OPENHPI_DEL_SIZE_LIMIT sets the maximum size (in number of event log entries)
## for the domain event log. Default is 10000 log entries. Setting it to 0
## means unlimited.
## OPENHPI_DEL_SAVE sets whether the domain event log is persisted to disk or
## not. The event log is written to OPENHPI_VARPATH value.
## OPENHPI_DAT_SIZE_LIMIT sets the maximum size (in number of alarm entries) for
## the alarm table. The default 0 means unlimited.
## OPENHPI_DAT_USER_LIMIT sets the maximum number of user type alarm entries
## allowed in the alarm table. The default 0 means unlimited.
## OPENHPI_DAT_SAVE sets whether the domain alarm table is persisted to disk or
## not. The alarm table is written to the directory where OPENHPI_VARPATH
## points to.
## OPENHPI_PATH is a colon (:) delimited list of directories specifying
## the location of openhpi plugin libraries. The default is defined when the
## library is configured.
## OPENHPI_VARPATH is a directory to which certain openhpi data is saved to.
## The DEL (Domain Event Log), DAT (Domain Alarm Table), and UID (Unique IDs
## used for resources) mappings are saved to this directory. The default is set
## at compile time through the ./configure options.
#######

#######
## SECOND section: handler (instance) declaration with arguments understood by the plugin.

#############################################################################
##**CAUTION** System administrators have to make sure that entity paths are
## unique in a domain. To avoid entity paths conflicting among handlers, make
## sure the "entity_root" is unique for each handler definition, unless the
## plugin documentation says otherwise.
#############################################################################

## Strings are enclosed by "", numbers are not.

## Section for the simulator plugin
## You can load multiple copies of the simulator plugin but each
## copy must have a unique name.
#handler libsimulator {
#        entity_root = "{SYSTEM_CHASSIS,1}"
#        name = "simulator"
#}

## Section for ipmi plugin using SMI -- local interface
#handler libipmi        {
#       entity_root = "{SYSTEM_CHASSIS,2}"
#       name = "smi"
#       addr = 0
#}

## Section for ipmi plugin based on OpenIPMI:
#handler libipmi {
#       entity_root = "{SYSTEM_CHASSIS,3}"
#       name = "lan"
#       addr = "x.x.x.x"        #ipaddress
#       port = "999"
#       auth_type = "straight"
#       auth_level= "user"
#       username = "joe"
#       password = "blow"
#}

## Section for BladeCenter snmp_bc plugin:
#handler libsnmp_bc {
#        entity_root = "{SYSTEM_CHASSIS,4}" # Required. BladeCenter chassis Entity Path.
#        host = "192.168.70.125"            # Required. BladeCenter Management Module (MM) IP address.
#        host_alternate = "192.168.70.127"  # Optional. BladeCenter Management Module 2nd IP address.
                                            #           Some BladeCenter MM Firmware allows the 2 MMs,
                                            #           active and standby, to have 2 different IP address.
                                            #           If the targetted BladeCenter 2 MMs are configured 
                                            #           with 2 IPs, use this key for the 2nd IP.
#        version = "1"                      # Required. SNMP protocol version (1|3).
#        community = "public"               # SNMP V1: Required. SNMP V1 community name.
#        security_name = "snmpv3_user"      # SNMP V3: Required. SNMP V3 user Login ID.
#        context_name  = ""                 # SNMP V3: Optional. Must match MM's "Context name" field, if defined.
#        security_level = "noAuthNoPriv"    # SNMP V3: Required. Security level (noAuthNoPriv|authNoPriv|authPriv).
#        passphrase = ""                    # SNMP V3: Authentication password. Required if security_level
#                                           # is authNoPriv or authPriv.
#        auth_type = ""                     # SNMP V3: Authentication password encoding (MD5|SHA). Required if 
#                                           # security_level is authNoPriv or authPriv.
#	 privacy_passwd = ""                # SNMP V3: Privacy password. Required if security_level is authPriv.
#	 privacy_protocol = ""              # SNMP V3: Privacy password encoding (DES).
#                                           # Required if security_level is authPriv.
#                                           # If security_level is authPriv, DES encoding is assumed since there
#                                           # currently is no other privacy password encoding choice.
#        count_per_getbulk = "32"           # SNMP V3: Optional. SNMP_MSG_GETBULK commands can be used to increase
#                                           # performance. This variable sets the maximum OIDs allowable per 
#                                           # MSG_GETBULK command.
#                                           # Positive values less than 16 default to "16", since values less than
#                                           # 16 don't necessarily increase performance. Too high of a value (> 40)
#                                           # can cause SNMP commands to BladeCenter to timeout. The default is "32".
#                                           # A value of "0" disables the use of the SNMP_MSG_GETBULK SNMP command.
#}

## Section for static simulator plugin:
## If openhpi configured with
## configure --enable-simulator=static
## the dummy plugin is compiled in.
## It is possible to use simulator and libsimulator
## at the same time.
#handler simulator {
#        entity_root = "{SYSTEMk_CHASSIS,5}"
#        name = "test"
#}

## Section for ipmidirect plugin using SMI -- local interface
#handler libipmidirect {
#       entity_root = "{SYSTEM_CHASSIS,6}"
#       name = "smi"
#       addr = 0
#}

## Section for ipmidirect plugin using RMCP:
#handler libipmidirect {
#        entity_root = "{SYSTEM_CHASSIS,7}"
#        name = "lan"         # RMCP
#        addr = "localhost"   # Host name or IP address
#        port = "623"         # RMCP port
#        auth_type = "none"   # none, md2, md5 or straight
#        auth_level = "admin" # operator or admin
#        username = "arthur"
#        password = "pieman"
#        IpmiConnectionTimeout = "5000"
#        AtcaConnectionTimeout = "1000"
#        MaxOutstanding = "1" # Allow parallel processing of
#        # ipmi commands; change with care
#        logflags = ""      # logging off
#        # logflags = "file stdout"
#        # infos goes to logfile and stdout
#        # the logfile are log00.log, log01.log ...
#        logfile = "log"
#        # if #logfile_max reached replace the oldest one
#        logfile_max = "10"
#}

## Section for ilo2_ribcl plugin for ProLiant Rack Mount servers
#handler libilo2_ribcl {
#        entity_root = "{RACK_MOUNTED_SERVER,8}"
#        ilo2_ribcl_hostname = "IP address"  # iLO2 IP address
#        ilo2_ribcl_portstr = "443" # iLO2 RIBCL SSL server port number
#        ilo2_ribcl_username = "username" # iLO2 username
#        ilo2_ribcl_password = "password" # iLO2 password
#}

## Section for oa_soap plugin for HP BladeSystem c-Class,
## using SOAP XML over https
handler liboa_soap {
        entity_root = "{SYSTEM_CHASSIS,1}"
        OA_User_Name = "testrm"   # OA user name with admin privileges (required)
        OA_Password = "test!"  # OA password for above user (required)
        ACTIVE_OA = "oa1av6"  # Active OA hostname or IP address (required)
        STANDBY_OA = "oa1av6" # Standby OA hostname or IP address (optional)
}

## Section for dynamic_simulator plugin
#handler libdyn_simulator {
#        entity_root = "{SYSTEM_CHASSIS,9}"
## Location of the simulation data file 
## Normally an example file is installed in the same directory as openhpi.conf.
## Please change the following entry if you have configured another install
## directory or will use your own simulation.data.
#        file = "/etc/openhpi/simulation.data"
#        # infos goes to logfile and stdout
#        # the logfile are log00.log, log01.log ...
##        logflags = "file stdout"
##        logfile = "dynsim"
#        # if #logfile_max reached replace the oldest one
##        logfile_max = "5"
#}

